Overleaf installation failed on RPi (MongoDB package available for arm64, not armhf)

My YunoHost server

Hardware: RPi 3b+
YunoHost version: 4.3.6.3
I have access to my server : Through SSH or through the webadmin
Are you in a special context or did you perform some particular tweaking on your YunoHost instance ? : no

Description of my issue

Because it is a wonderful application, I tried installing Overleaf through the admin page but it failed (it seems some packages are missing).

The installation log file can be found here: https://paste.yunohost.org/raw/esobaxezol

Has anyone managed to install Overleaf on yunohost?
Any idea how to do it?

Thank you!

You won’t be able to install it as you are on armhf.
Overleaf need mongodb that is not available on armhf… only on arm64

1 Like

Thank you @yalf76 for the information.
Too bad :-/

…hum, but, I just found that:

Could it be a solution? actually not, I confuse armh and arm64 :roll_eyes:

So, if I upgrade the OS to Raspberry Pi OS 64-bit (Debian 11 (bullseye)), for instance when upgrading to yunohost 11 :wink:, it could work?
If so, does anyone know if OverLeaf would be efficient on such hardware, for one or two users?